Subject: RE: [Ltru] [psg.com #1098] WGLC distinguish subtag andextensionsregistries

From: "Addison Phillips" <[email-masked]>
Date: Sat, 13 Aug 2005 09:04:23 -0700

To resolve this issue, I propose:

1. A minor modification in section 2.2 (to say "Subtag Registry" the first time).

2. A change in the title of section 3 (to say "Subtag Registry Format and Maintenance")

3. A change in the title of section 3.6 (to "Extensions and Extensions Registry")

4. A change in the title of section 3.7 (to "Initialization of the Registries")

5. The modification of the first sentence in section 3.7 to say: "... an initial version of the Language Subtag Registry containing..."

6. The addition of this paragraph at the end of section 3.7:

-
Adoption of this document will also REQUIRE an initial version of the Language Extension Registry described in Section 3.6. This registry is initially expected to contain no records. It MUST be initialized with the following text:

# Language Tag Extensions Registry (see RFC XXXX)
File-Date: 2005-08-13
-

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?8?12? 22:53
> To: LTRU Working Group
> Subject: Re: [Ltru] [psg.com #1098] WGLC distinguish subtag
> andextensionsregistries
> 
> Hi -
> 
> > From: "Randy Presuhn" <[email-masked]>
> > To: "LTRU Working Group" <[email-masked]>
> > Sent: Friday, August 12, 2005 10:27 PM
> > Subject: [Ltru] [psg.com #1098] WGLC distinguish subtag and
> extensionsregistries
> ...
> > So far, two (Doug and Kent) have spoken in favor of making the
> distinction
> > clearer.  Is any more discussion needed before directing the editors to
> > make appropriate changes in the registry i-d?
> ...
> 
> As a technical contributor, I don't believe a change is technically needed.
> Being even more explicit wouldn't hurt, but I didn't find the current text
> ambiguous in any way that would affect the operation of the registry.
> 
> Randy
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 13 Aug 2005 10:00:54 -0700

Hi -

As a technical contributor:

This looks ok to me, except that "REQUIRE" isn't a 2119 keyword. I suggest:

Adoption of this document will also entails initialization of the Language
Extension Registry described in Section 3.6. This registry SHALL be initialized
with the following text:

I have a slight preference to put  the initializing text in the initial registry draft,
rather than the registry draft.

Randy

----- Original Message ----- 
From: "Addison Phillips" <[email-masked]>
To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
Sent: Saturday, August 13, 2005 9:04 AM
Subject: RE: [Ltru] [psg.com #1098] WGLC distinguish subtag andextensionsregistries

5. The modification of the first sentence in section 3.7 to say: "... an initial version of the Language Subtag Registry
containing..."

-
Adoption of this document will also REQUIRE an initial version of the Language Extension Registry described in Section 3.6. This
registry is initially expected to contain no records. It MUST be initialized with the following text:

Addison
...

---

From: "Kent Karlsson" <[email-masked]>
Date: Sun, 14 Aug 2005 22:30:13 +0200 (CEST)

Ok, with Doug's improvements (and make the naming consistent; here
without plural s, as Doug suggested).

I like the self-declaration leading comment; there should be one
for the subtag registry too.

> 5. The modification of the first sentence in section 3.7 to say: "... an
> initial version of the Language Subtag Registry containing..."
>
> Adoption of this document will also REQUIRE an initial version of the
> Language Extension Registry described in Section 3.6. This registry is
> initially expected to contain no records. It MUST be initialized with the
> following text:
>

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 14 Aug 2005 23:27:00 +0200

Kent Karlsson wrote:

> I like the self-declaration leading comment; there should be
> one for the subtag registry too.

There are no such comments in section 3.1, the <registry> ABNF

>> # Language Tag Extensions Registry (see RFC XXXX)

So that's wrong, the line starting with "#" is no record, and
the first record must be a File-Date.

In another article you said that [RFC2434], [RFC2781], and
[RFC3552] (like 2047) shouldn't be normative, that's not yet
fixed in the public editor's copy of -11 (Aug 12).  Bye, Frank